Bug 807606 - iptables-1.4.16.1 is available
Summary: iptables-1.4.16.1 is available
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: iptables
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-28 10:25 UTC by Upstream Release Monitoring
Modified: 2012-10-12 14:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-12 14:59:28 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2012-03-28 10:25:43 UTC
Latest upstream release: 1.4.13
Current version in Fedora Rawhide: 1.4.12.2
URL: http://ftp.netfilter.org/pub/iptables/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Account closed by user 2012-03-28 12:36:58 UTC
[ANNOUNCE] Netfilter releases: http://marc.info/?l=linux-netdev&m=133285075205271&w=2

Changes in iptables include:

* rpfilter support from Florian Westphal.

* IPv6 ECN capable version from Patrick McHardy.

* a couple of fixes for internal libiptc library.

* fix leaking file descriptor to avoid annoying log messsages in SELinux from
  Maciej enczykowski.

* nfacct match support by myself.

For nfacct and libnetfilter_acct, this is the initial release. These require
Linux kernel 3.3 or any later.

Comment 2 Account closed by user 2012-04-30 12:15:10 UTC
ping!

Comment 3 Upstream Release Monitoring 2012-06-03 23:30:07 UTC
Latest upstream release: 1.4.14
Current version in Fedora Rawhide: 1.4.12.2
URL: http://ftp.netfilter.org/pub/iptables/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 4 Account closed by user 2012-06-16 16:41:33 UTC
1.4.13 changelog:

      extensions: add rpfilter module
      iptables: missing free() in function cache_add_entry()
      iptables: missing free() in function delete_entry()
      libiptc: Returns the position the entry was inserted
      src: mark newly opened fds as FD_CLOEXEC (close on exec)
      Revert "libiptc: Returns the position the entry was inserted"
      extensions: add nfacct match
      extensions: add IPv6 capable ECN match extension

1.4.14 changelog:

      ip(6)tables-restore: make sure argv is NULL terminated
      extensions: libxt_rateest: output all options in save hook
      tests: add rateest match rules
      libiptc: fix retry path in TC_INIT
      libxt_CT: add --timeout option
      libipt_ULOG: fix --ulog-cprange

Comment 5 Upstream Release Monitoring 2012-08-01 11:12:43 UTC
Latest upstream release: 1.4.15
Current version in Fedora Rawhide: 1.4.14
URL: http://ftp.netfilter.org/pub/iptables/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 6 Account closed by user 2012-08-05 11:22:12 UTC
1.4.15 includes support for new features now present in the
Linux kernel 3.5 and one major bugfix (that shows up with gcc-4.7).

ChangeLog:

      libxt_recent: add --mask netmask
      libxt_recent: remove unused variable
      libxt_devgroup: add man page snippet
      libxt_hashlimit: add support for byte-based operation
      extensions: add HMARK target
      libxt_HMARK: fix output of iptables -L
      libxt_HMARK: correct a number of errors introduced by Pablo's rework
      libxtables: add xtables_ip[6]mask_to_cidr
      libxt_HMARK: fix ct case example
      iptables-restore: move code to add_param_to_argv, cleanup (fix gcc-4.7)
      Revert "iptables-restore: move code to add_param_to_argv,
                                                       cleanup (fix gcc-4.7)"
      iptables-restore: fix parameter parsing (shows up with gcc-4.7)

Comment 7 Upstream Release Monitoring 2012-10-08 07:23:07 UTC
Latest upstream release: 1.4.16.1
Current version in Fedora Rawhide: 1.4.14
URL: http://ftp.netfilter.org/pub/iptables/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 8 Account closed by user 2012-10-08 12:18:19 UTC
This release includes minor bugfixes, improvements and the aliasing
support that allows us to remove superseded matches/targets in the
Linux kernel.


- ChangeLog 1.4.16.2:

Jan Engelhardt (1):
      iptables: restore NOTRACK functionality, target aliasing

Pablo Neira Ayuso (1):
      bump version to 1.4.16.2



- ChangeLog 1.4.16.1:

Pablo Neira Ayuso (2):
      iptables: fix standard target
      bump version to 1.4.16.1



- ChangeLog 1.4.16:

Andreas Schwab (1):
      libxt_tcp: print space before, not after "flags:"

Jan Engelhardt (23):
      iptables-restore: warn about -t in rule lines
      doc: grammatical updates to libxt_SET
      libxt_u32: do bounds checking for @'s operands
      libxt_devgroup: consolidate devgroup specification parsing
      libxt_devgroup: guard against negative numbers
      libxt_LED: guard against negative numbers
      libxt_*limit: avoid division by zero
      Merge remote-tracking branch 'nf/stable'
      build: support for automake-1.12
      build: separate AC variable replacements from xtables.h
      build: have `make clean` remove dep files too
      libxtables: consolidate preference logic
      iptables: support for target aliases
      libxt_NOTRACK: replace as an alias to CT --notrack
      iptables: support for match aliases
      libxt_state: replace as an alias to xt_conntrack
      Merge branch 'master' of git://git.inai.de/iptables
      doc: clean up interpunction in state list for xt_conntrack
      doc: deduplicate extension descriptions into a new manpage
      doc: trim "state" manpage and reference conntrack instead
      doc: have NOTRACK manpage point to CT instead
      doc: mention iptables-apply in the SEE ALSO sections
      Merge branch 'master' of git://git.inai.de/iptables

Jozsef Kadlecsik (1):
      New set match revision with --return-nomatch flag support

Michal KubeÄek (1):
      libip6t_frag: match any frag id by default

Pablo Neira Ayuso (6):
      include: add missing linux/netfilter_ipv4/ip_queue.h
      ip[6]tables-restore: cleanup to reduce one level of indentation
      include: add missing linux/netfilter_ipv4/ip_queue.h
      iptables: fix wrong error messages
      extensions: libxt_addrtype: fix type in help message
      bump version to 1.4.16


Note You need to log in before you can comment on or make changes to this bug.